<?php

header('Access-Control-Allow-Origin: *');
header('Access-Control-Allow-Headers: *');

require '../../modelo/tipo_usuario.php';

$tipos_usuario = TipoUsuario::mdlGetTiposUsuario();

if (!$tipos_usuario) {
    echo json_encode([
        'response' => 'error', 
        'message' => 'No se encontraron tipos_usuario',
    ]);
    return;
}

http_response_code(200); // success
echo json_encode([
    'response' => 'success', 
    'message' => 'Se encontraron los tipos de usuario',
    'data' => $tipos_usuario
]);